2016-10-03 20:59:14 2017-07-01 03:30:06

The qstr method in the PDO driver in the ADOdb Library for PHP before 5.x before 5.20.7 might allow remote attackers to conduct SQL injection attacks via vectors related to incorrect quoting.

Vector

NETWORK

Complexity

LOW

Authentication

NONE

Confidentiality

PARTIAL

Integrity

PARTIAL

Availability

PARTIAL
Adodb project Adodb 5.08 A (not an official CPE) Adodb project Adodb 5.09 A (not an official CPE) Adodb project Adodb 5.20.2 (not an official CPE) Adodb project Adodb 5.09 (not an official CPE) Adodb project Adodb 5.20.1 (not an official CPE) Adodb project Adodb 5.20.0 (not an official CPE) Adodb project Adodb 5.07 (not an official CPE) Adodb project Adodb 5.08 (not an official CPE) Adodb project Adodb 5.20.6 (not an official CPE) Adodb project Adodb 5.20.5 (not an official CPE) Adodb project Adodb 5.16 A (not an official CPE) Adodb project Adodb 5.20.4 (not an official CPE) Adodb project Adodb 5.20.3 (not an official CPE) Adodb project Adodb 5.12 (not an official CPE) Adodb project Adodb 5.13 (not an official CPE) Adodb project Adodb 5.10 (not an official CPE) Adodb project Adodb 5.11 (not an official CPE) Adodb project Adodb 5.16 (not an official CPE) Adodb project Adodb 5.17 (not an official CPE) Adodb project Adodb 5.14 (not an official CPE) Adodb project Adodb 5.15 (not an official CPE) Adodb project Adodb 5.01 Beta (not an official CPE) Adodb project Adodb 5.00 Beta (not an official CPE) Adodb project Adodb 5.18 A (not an official CPE) Adodb project Adodb 5.18 (not an official CPE) Adodb project Adodb 5.02 A (not an official CPE) Adodb project Adodb 5.19 (not an official CPE) Adodb project Adodb 5.04 A (not an official CPE) Adodb project Adodb 5.06 A (not an official CPE) Adodb project Adodb 5.02 (not an official CPE) Adodb project Adodb 5.05 (not an official CPE) Adodb project Adodb 5.06 (not an official CPE) Adodb project Adodb 5.03 (not an official CPE) Adodb project Adodb 5.04 (not an official CPE)